Next: Acquisition Up: slsDetectorClient Previous: Retrieving detector parameters (plus
Subsections

- - Mandatory setup
  - Acquisition setup
  - Acquiring
  - Data processing

# Tips

### Mandatory setup

First of all you should setup the hostname and the detector size and dynamic range:

    mythen_put hostname mcs1x00
    mythen_get nmod
    mythen_get dr

You should also tell the program where to find the default trimbits files and calibration files:

    mythen_put trimdir /scratch/trimbits
    mythen_get caldir /scratch/calibration

To chose the detector settings (e.g. standard):

    mythen_put settings standard

In case `mythen_get settings` does not answer correctly, it most probably means that there is a problem in the architecture or setting of trimdir and caldir (see section 1.6).

### Acquisition setup

You need to setup where the files will be written to

    mythen_put outdir /scratch
    mythen_put fname run
    mythen_put index 0

this way your files will al be named /scracth/run_i.dat where is starts from 0 and is automatically incremented.

You will then need to setup the detector threshold and settings, the exposure time, the number of real time frames and eventually how many real time frames should be acquired:

    mythen_put settings standard
    mythen_put threshold 6000
    mythen_put exptime 1.
    mythen_put frames 10

In this case 10 consecutive 1s frames will be acquired. External gating and triggering or more advanced acquisition modes are not explained here.

### Acquiring

There are two ways of acquiring data.
The first is fully automatic and freezes the terminal until the acquisition is finished:

    mythen_acquire 0

This is particulary indicated for fast real time acquisitions.

If you want to acquire few long frames you can run:

    mythen_put status start

and the poll the detector status using

    mythen_get status

if the answer is either transmitting or finished, the data are ready to be downloaded from the detector. This can be done using either:

    mythen_get frame

where a single data frame is downloaded or

    mythen_get data

where all data present on the detector are downloaded. This is not indicated when many short real time frames should be acquired since the detector memory would be full before finishing the acquisition since the download time is so limited.

### Data processing

Flat field and rate corrections can be applied direcly by simply selecting:

    mythen_put flatield myflatfield.raw
    mythen_put ratecorr -1

Concerning the angular conversion, it is very reccomended that the users edit the file usersFunctions.cpp contained in the folder slsDetectorSoftware/usersFunctions. In the file it is possible to modify the function used for calculating the angular conversion and the ones used for interfacing with the diffractometer equipment i.e. reading the encoder fo the detector position, the ionization chanmbers etc.

It is also possible to configure some scans/scripts to be executed during the acquisition. They will be normally called as system calls except for threshold, energy and trimbits scans.

Possible arguments are:

help
  This help
-f myconf.txt
  loads the configuration file to myconf.txt
-id i
  Sets the detector to id i (the default is i). Useful when more than one detector are operated in parallel.
-offline
  works in offline mode i.e. not connecting to the detector. Usefule e.g. to perform the energy calibration of the detector and possibly in the future to reprocess and visualize the data (not yet implemented).
-size n
  sets the size of the text to n (the default is n=10);
-scale s
  scales the size of the text and the root canvas by the scaling factor s (the default is s=1). It is useful when executing the program on a PC with low screen resolution (e.g. a laptop) and the window would then fall out of the screen.");

The configuration of the detector can either be set when startin the GUI using the configuration file or using the text client or even using the configuration tab of the GUI.

Next: Acquisition Up: slsDetectorClient Previous: Retrieving detector parameters (plus